[SCM] PostGIS branch master updated. 3.4.0rc1-1146-g6cbedb14f

git at osgeo.org git at osgeo.org
Wed Jun 5 10:36:14 PDT 2024


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  6cbedb14f4165ed9c1d8b8e3348ef8b8ee9a4418 (commit)
      from  1590723c4a8ace27ad13aa3b1ec54e317b4276e4 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 6cbedb14f4165ed9c1d8b8e3348ef8b8ee9a4418
Author: Sandro Santilli <strk at kbt.io>
Date:   Wed Jun 5 19:35:59 2024 +0200

    Allow running make_dist.sh from detached HEAD

diff --git a/make_dist.sh b/make_dist.sh
index d1db1e26e..351f92816 100755
--- a/make_dist.sh
+++ b/make_dist.sh
@@ -34,12 +34,12 @@ if [ "$MAKE" = "" ]; then
 fi
 
 # Extract tag from git or default to trunk
-tag=`git branch | grep \* | awk '{print $2}'`
+tag=$(git rev-parse HEAD)
 
 if [ -n "$1" ]; then
   if [ "$1" = "-b" ]; then
     shift
-    tag=svn-$1
+    tag=stable-$1
     branch=yes
   else
     tag=$1
@@ -54,7 +54,8 @@ if [ -d "$outdir" ]; then
 	exit 1
 fi
 
-git clone -b $tag . $outdir || exit 1
+git clone . $outdir || exit 1
+cd $outdir && git checkout $tag && cd -
 
 echo "Removing make_dist.sh and HOWTO_RELEASE"
 rm -fv "$outdir"/make_dist.sh "$outdir"/HOWTO_RELEASE

-----------------------------------------------------------------------

Summary of changes:
 make_dist.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list